# Let's examine variants of the Goldbach conjecture...

import math

def is_prime (n):
	if n == 1 or n == 2:
		return True
	if n < 0 or n%2 == 0:
		return False
	d = 3
	while d <= math.sqrt(n):
		if n%d == 0:
			return False
		d += 2
	return True

def prime_terms (n):
	a = 1
	while a <= math.ceil(n/2):
		if is_prime(a):
			b = n-a
			if is_prime(b):
				return (a,b)
		a += 2
	return (0,0)

def main():
	n = 4
	while (True):
		a,b = prime_terms(n)
		if (a,b) == (0,0):
			print ("Disproven !")
			exit()
		else:
			if n%256 == 0:
				print (n,"=",a,"+",b)
			else:
				print (n,"=",a,"+",b,end="\t")
		n+=2

main()
